%global npm_name fsevents

Name: nodejs-%{npm_name}
Version: 2.0.1
Release: %mkrel 6
Summary: Native Access to Mac OS-X FSEvents
License: MIT
Group: Development/Other
URL: https://github.com/strongloop/fsevents
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
The FSEvents API in OS X allows applications to register for notifications of
changes to a given directory tree. It is a very fast and lightweight
alternative to kqueue.

This is a low-level library.

%prep
%autosetup -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr binding.gyp %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr fsevents.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr fsevents.node %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr src %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr test %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%check
%{nodejs_symlink_deps} --check

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc ISSUE_TEMPLATE.md
%doc Readme.md



%changelog
* Wed May 10 2023 neoclust <neoclust> 2.0.1-6.mga9
+ Revision: 1956434
- Rebuild against latest nodejs

* Wed Mar 23 2022 umeabot <umeabot> 2.0.1-5.mga9
+ Revision: 1820346
- Mageia 9 Mass Rebuild

* Fri Oct 02 2020 tv <tv> 2.0.1-4.mga8
+ Revision: 1631671
- rebuild in order to fix deps

* Fri Feb 14 2020 umeabot <umeabot> 2.0.1-3.mga8
+ Revision: 1521219
- Mageia 8 Mass Rebuild

* Sun Dec 16 2018 kekepower <kekepower> 2.0.1-2.mga7
+ Revision: 1341721
- Bump rel to see if it can get the correct nodejs abi

* Sun Dec 09 2018 kekepower <kekepower> 2.0.1-1.mga7
+ Revision: 1339115
- Update to version 2.0.1

* Thu Sep 20 2018 umeabot <umeabot> 1.2.3-4.mga7
+ Revision: 1280488
- Mageia 7 Mass Rebuild

* Mon May 07 2018 kekepower <kekepower> 1.2.3-3.mga7
+ Revision: 1227321
- Fix nodejs dependencies

* Thu May 03 2018 kekepower <kekepower> 1.2.3-2.mga7
+ Revision: 1225522
- Fix nodejs deps

* Thu May 03 2018 kekepower <kekepower> 1.2.3-1.mga7
+ Revision: 1225183
- imported package nodejs-fsevents

